Subject: [Sip] Methods inventory

From: [email-masked]
Date: Thu, 3 Jul 2003 11:01:35 EDT

My first post to this list so please be nice!
With the addition of "JOIN" does this make the total of valid methods 14?  
I have:

INVITE  - RFC 2543
REGISTER - RFC 2543
BYE- RFC 2543
ACK- RFC 2543
CANCEL- RFC 2543
OPTIONS- RFC 2543

SUBSCRIBE - RFC 2848
UNSUBSCRIBE - RFC 2848
NOTIFY - RFC 2848

INFO - RFC 2976
PRACK - ??

UPDATE - RFC 3311
REFER - RFC 3515

JOIN -  TBD

Ben Levitan
Raleigh, NC
919-782-7442
[email-masked]

---

From: Steve Pellegrino <[email-masked]>
Date: Thu, 03 Jul 2003 11:17:16 -0400

Reference http://www.iana.org/assignments/sip-parameters for all SIP 
methods registered with IANA through standards track RFCs.

---

From: "Brett Tate" <[email-masked]>
Date: Thu, 3 Jul 2003 13:42:20 -0400

> My first post to this list so please be nice!

In case you are not aware,
[email-masked] should be used
for basic SIP questions.

http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

> the total of valid methods 14?

The following website contains information
about the registered sip methods and headers.

http://www.iana.org/assignments/sip-parameters

I'm unaware of an official public repository of 
all SIP methods within current or expired drafts.

However I guess that they could be culled from
http://www.softarmor.com/sipwg/

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip